import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
 
/**
 * Energy fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Energy extends Actor
{
    private int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Energy()
    {
        speed = Greenfoot.getRandomNumber(5) + 1;
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        
        if (getX() == 0) 
        {
            Space bloodstream = (Space)getWorld();
            bloodstream.addScore(-15);
            bloodstream.removeObject(this);
            
        }
    }
}
