import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Lining are objects at the edge of the vein.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Lining extends Actor
{
    /**
     * Act - moves lining to the left and when it is out of the world it gets deleated.
     */
    public void act() 
    {
        setLocation(getX()-1, getY());
        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }    
}
